Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class Table

    java.lang.Object
      nl.liacs.subdisc.Table

    public class Table

extends java.lang.Object

Constructor Summary
`Table(java.io.File theSource, int theNrRows, int theNrColumns)`
`Table(java.io.File theSource, java.lang.String theTableName)`
`Table(org.w3c.dom.Node theTableNode, java.lang.String theXMLFileDirectory)`
`Table(java.lang.String theTableName)`

Method Summary
`void` | `addNodeTo(org.w3c.dom.Node theParentNode)`
`int` | `countValues(int theColumn, java.lang.String theValue)`
`java.util.BitSet` | `evaluate(Condition theCondition)`
`java.util.BitSet` | `evaluate(ConditionList theList)`
`Column` | `getAttribute(java.lang.String theName)`
`float` | `getAverage(int theColumn)`
`java.util.BitSet` | `getBinaryColumn(int i)`
`Column` | `getColumn(int theIndex)`
`java.util.ArrayList<Column>` | `getColumns()`
`java.util.TreeSet<java.lang.String>` | `getDomain(int theColumn)`
`javax.swing.JList` | `getDomainList()`
`Condition` | `getFirstCondition()`
`int` | `getIndex(java.lang.String theName)`
`java.lang.String` | `getName()`
`Condition` | `getNextCondition(Condition theCurrentCondition)`
`int` | `getNrColumns()`
`int` | `getNrRows()`
`float[]` | `getNumericDomain(int theColumn, java.util.BitSet theSubset)`
`Subgroup` | `getRandomSubgroup(int theSize)`
`java.lang.String` | `getSource()`
`float[]` | `getSplitPoints(int theColumn, java.util.BitSet theSubset, int theNrSplits)`
`int[][]` | `getTypeCounts()` Retrieves an array of `int[]`s, containing the number of `Column`s for each `AttributeType`, and the number of those Columns that are enabled.
`float[]` | `getUniqueNumericDomain(int theColumn, java.util.BitSet theSubset)`
`void` | `print()`
`void` | `removeDomain(int theDomainIndex)`
`Table` | `select(java.util.BitSet theSet)`
`void` | `swapRandomizeTarget(TargetConcept theTC)`
`void` | `toFile(java.util.BitSet theMembers)` Write this Table to `File`.
`void` | `update()` Updates this Table.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table(java.lang.String theTableName)

### Table

    public Table(java.io.File theSource,
                 java.lang.String theTableName)

### Table

    public Table(java.io.File theSource,
                 int theNrRows,
                 int theNrColumns)

### Table

    public Table(org.w3c.dom.Node theTableNode,
                 java.lang.String theXMLFileDirectory)

Method Detail

### getName

    public java.lang.String getName()

### getSource

    public java.lang.String getSource()

### getNrRows

    public int getNrRows()

### getNrColumns

    public int getNrColumns()

### getColumn

    public Column getColumn(int theIndex)

### getColumns

    public java.util.ArrayList<Column> getColumns()

### removeDomain

    public void removeDomain(int theDomainIndex)

### getDomainList

    public javax.swing.JList getDomainList()

### update

    public void update()

  Updates this Table. This means the number of rows and columns are set, and this Tables' list of `Column`s is updated.

### getTypeCounts

    public int[][] getTypeCounts()

  Retrieves an array of `int[]`s, containing the number of `Column`s for each `AttributeType`, and the number of those Columns that are enabled. The `int[]`s are for AttributeTypes: `NOMINAL`, `NUMERIC`, `ORDINAL` and `BINARY`, respectively.

  Returns:
    an array of `int[]`s, containing for each AttributeType the number of Columns of that type, and the number of those Columns that is enabled

### evaluate

    public java.util.BitSet evaluate(Condition theCondition)

### evaluate

    public java.util.BitSet evaluate(ConditionList theList)

### getBinaryColumn

    public java.util.BitSet getBinaryColumn(int i)

### getAttribute

    public Column getAttribute(java.lang.String theName)

### getIndex

    public int getIndex(java.lang.String theName)

### getFirstCondition

    public Condition getFirstCondition()

### getNextCondition

    public Condition getNextCondition(Condition theCurrentCondition)

### getNumericDomain

    public float[] getNumericDomain(int theColumn,
                                    java.util.BitSet theSubset)

### getUniqueNumericDomain

    public float[] getUniqueNumericDomain(int theColumn,
                                          java.util.BitSet theSubset)

### getDomain

    public java.util.TreeSet<java.lang.String> getDomain(int theColumn)

### getSplitPoints

    public float[] getSplitPoints(int theColumn,
                                  java.util.BitSet theSubset,
                                  int theNrSplits)

### countValues

    public int countValues(int theColumn,
                           java.lang.String theValue)

### getAverage

    public float getAverage(int theColumn)

### getRandomSubgroup

    public Subgroup getRandomSubgroup(int theSize)

### select

    public Table select(java.util.BitSet theSet)

### swapRandomizeTarget

    public void swapRandomizeTarget(TargetConcept theTC)

### print

    public void print()

### toFile

    public void toFile(java.util.BitSet theMembers)

  Write this Table to `File`.

  Parameters:
    `theMembers` - the indices of the set bits in this correspond to the row numbers of this Table that should be written to the output `File`. If the parameter is `null`, the whole Table will be written.

### addNodeTo

    public void addNodeTo(org.w3c.dom.Node theParentNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD